EndpointsCogents
Report coach view
PUT
/v2/cogents/{cogent_id}/presence/coachReports what the coach has on screen, and returns the presence. Only the owner's own credential may report it. A report that repeats the current view only refreshes its time.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
cogent_id*Cogent Id
Cogent ID (its player ID).
Match
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Request Body
application/json
view*
What the coach has on screen now.
curl -X PUT "https://softmax.com/api/observatory/v2/cogents/string/presence/coach" \ -H "Content-Type: application/json" \ -d '{ "view": { "path": "string" } }'{ "version": 0, "coach": { "path": "string", "anchor": "string", "heading": "string", "tab": "project", "replay": { "runId": "string", "file": "string", "tick": 0, "open": true, "shot": null, "selection": null, "camera": { "x": 0, "z": 0, "distance": 0 } }, "since": "2019-08-24T14:15:22Z", "at": "2019-08-24T14:15:22Z" }, "agents": [ { "state": "idle", "doing": "string", "progress": { "taskId": "string", "rung": "string", "done": 0, "total": 0 }, "draft": "string", "suggest": [ "string" ], "agent": "string", "since": "2019-08-24T14:15:22Z", "at": "2019-08-24T14:15:22Z" } ], "visitors": [ { "user_id": "string", "name": "string", "at": "2019-08-24T14:15:22Z" } ]}